/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package it.tref.liferay.mapit.map.model.impl;

import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.model.CacheModel;

import it.tref.liferay.mapit.map.model.PluginPortletPreferences;

import java.io.Externalizable;
import java.io.IOException;
import java.io.ObjectInput;
import java.io.ObjectOutput;

/**
 * The cache model class for representing PluginPortletPreferences in entity cache.
 *
 * @author
 * @see PluginPortletPreferences
 * @generated
 */
public class PluginPortletPreferencesCacheModel implements CacheModel<PluginPortletPreferences>,
	Externalizable {
	@Override
	public String toString() {
		StringBundler sb = new StringBundler(15);

		sb.append("{pluginPortletPreferencesId=");
		sb.append(pluginPortletPreferencesId);
		sb.append(", ownerId=");
		sb.append(ownerId);
		sb.append(", ownerType=");
		sb.append(ownerType);
		sb.append(", plid=");
		sb.append(plid);
		sb.append(", portletId=");
		sb.append(portletId);
		sb.append(", plugin=");
		sb.append(plugin);
		sb.append(", preferences=");
		sb.append(preferences);
		sb.append("}");

		return sb.toString();
	}

	@Override
	public PluginPortletPreferences toEntityModel() {
		PluginPortletPreferencesImpl pluginPortletPreferencesImpl = new PluginPortletPreferencesImpl();

		pluginPortletPreferencesImpl.setPluginPortletPreferencesId(pluginPortletPreferencesId);
		pluginPortletPreferencesImpl.setOwnerId(ownerId);
		pluginPortletPreferencesImpl.setOwnerType(ownerType);
		pluginPortletPreferencesImpl.setPlid(plid);

		if (portletId == null) {
			pluginPortletPreferencesImpl.setPortletId(StringPool.BLANK);
		}
		else {
			pluginPortletPreferencesImpl.setPortletId(portletId);
		}

		if (plugin == null) {
			pluginPortletPreferencesImpl.setPlugin(StringPool.BLANK);
		}
		else {
			pluginPortletPreferencesImpl.setPlugin(plugin);
		}

		if (preferences == null) {
			pluginPortletPreferencesImpl.setPreferences(StringPool.BLANK);
		}
		else {
			pluginPortletPreferencesImpl.setPreferences(preferences);
		}

		pluginPortletPreferencesImpl.resetOriginalValues();

		return pluginPortletPreferencesImpl;
	}

	@Override
	public void readExternal(ObjectInput objectInput) throws IOException {
		pluginPortletPreferencesId = objectInput.readLong();
		ownerId = objectInput.readLong();
		ownerType = objectInput.readInt();
		plid = objectInput.readLong();
		portletId = objectInput.readUTF();
		plugin = objectInput.readUTF();
		preferences = objectInput.readUTF();
	}

	@Override
	public void writeExternal(ObjectOutput objectOutput)
		throws IOException {
		objectOutput.writeLong(pluginPortletPreferencesId);
		objectOutput.writeLong(ownerId);
		objectOutput.writeInt(ownerType);
		objectOutput.writeLong(plid);

		if (portletId == null) {
			objectOutput.writeUTF(StringPool.BLANK);
		}
		else {
			objectOutput.writeUTF(portletId);
		}

		if (plugin == null) {
			objectOutput.writeUTF(StringPool.BLANK);
		}
		else {
			objectOutput.writeUTF(plugin);
		}

		if (preferences == null) {
			objectOutput.writeUTF(StringPool.BLANK);
		}
		else {
			objectOutput.writeUTF(preferences);
		}
	}

	public long pluginPortletPreferencesId;
	public long ownerId;
	public int ownerType;
	public long plid;
	public String portletId;
	public String plugin;
	public String preferences;
}